Method: organizations.capabilityConfigs.create

Creates a CapabilityConfig under a parent Organization, Folder or Project.

Creating a CapabilityConfig triggers the creation of a Management Project if one is not supplied.

HTTP request

POST https://cloudresourcemanager.googleapis.com/v3/{parent=organizations/*}/capabilityConfigs

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource under which the CapabilityConfig will be created. Format: organizations/{organizationId} or folders/{folder_id} or projects/{projectNumber}

Query parameters

Parameters
capabilityConfigId

string

Required. The user-assigned ID for the CapabilityConfig, which will become the final component of the CapabilityConfig's resource name. Must be unique within the parent resource.

It must be 6 to 30 lowercase ASCII letters, digits, or hyphens. It must start with a letter. Trailing hyphens are prohibited. Example: my-capability-config-123

Request body

The request body contains an instance of CapabilityConfig.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.